listingservice

Full documentation for this service is available at /documentation/listingservice.

GetItemRestarts |WebMethod|

Returns Restart information for the specified item.

Parameters
  1. itemId, The id of an item.
Returns

The Restart information object that contains item restarts information.If the item has no restarts, null is returned

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/listingservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetItemRestarts"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetItemRestarts xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
    </GetItemRestarts>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetItemRestartsResponse xmlns="http://api.tradera.com">
      <GetItemRestartsResult>The Restart information object that contains item restarts information.If the item has no restarts, null is returned</GetItemRestartsResult>
    </GetItemRestartsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/listingservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetItemRestarts xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
    </GetItemRestarts>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetItemRestartsResponse xmlns="http://api.tradera.com">
      <GetItemRestartsResult>The Restart information object that contains item restarts information.If the item has no restarts, null is returned</GetItemRestartsResult>
    </GetItemRestartsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/listingservice.asmx/GetItemRestarts?appId=string&appKey=string&itemId=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetItemRestartsResult xmlns="http://api.tradera.com">The Restart information object that contains item restarts information.If the item has no restarts, null is returned</GetItemRestartsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/listingservice.asmx/GetItemRestarts HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&itemId=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetItemRestartsResult xmlns="http://api.tradera.com">The Restart information object that contains item restarts information.If the item has no restarts, null is returned</GetItemRestartsResult>